﻿using Hotline.FlowEngine.Definitions;
using Hotline.Share.Enums.FlowEngine;
using SqlSugar;

namespace Hotline.FlowEngine.Workflows;

/// <summary>
/// 流转记录
/// </summary>
public class WorkflowTrace : StepBasicEntity
{
    /// <summary>
    /// 节点Id
    /// </summary>
    public string StepId { get; set; }

    /// <summary>
    /// 流转记录状态
    /// </summary>
    public EWorkflowTraceStatus Status { get; set; }

    /// <summary>
    /// 会签从属关系
    /// </summary>
    public string? ParentId { get; set; }

    /// <summary>
    /// 会签流转记录
    /// </summary>
    [SugarColumn(IsIgnore = true)]
    public List<WorkflowTrace> Traces { get; set; }


    #region method

    //public void Previous(string userId, string userName, string orgCode, string orgName) =>
    //    Complete(userId, userName, orgCode, orgName, EWorkflowTraceStatus.Back);

    //public void Recall(string userId, string userName, string orgCode, string orgName) =>
    //    Complete(userId, userName, orgCode, orgName, EWorkflowTraceStatus.Recall);

    //public void Jump(string userId, string? userName, string orgCode, string? orgName, string opinion)
    //{
    //    Handle(userId, userName, orgCode, orgName);
    //    Opinion = opinion;
    //}

    #endregion
}